/**
 * Extend the basic ActorSheet with some very simple modifications
 * @extends {ActorSheet}
 */

 import { HeritiersActorSheet } from "./heritiers-actor-sheet.js";
import { HeritiersUtility } from "./heritiers-utility.js";

/* -------------------------------------------- */
export class HeritiersCreatureSheet extends HeritiersActorSheet {

  /** @override */
  static get defaultOptions() {

    return mergeObject(super.defaultOptions, {
      classes: ["fvtt-les-heritiers", "sheet", "actor"],
      template: "systems/fvtt-les-heritiers/templates/creature-sheet.html",
      width: 640,
      height: 720,
      tabs: [{ navSelector: ".sheet-tabs", contentSelector: ".sheet-body", initial: "stats" }],
      dragDrop: [{ dragSelector: ".item-list .item", dropSelector: null }],
      editScore: false
    })
  }
}
